# functional_hash.h File Reference

Go to the source code of this file.

## Classes

- struct std::hash< _Tp >
    Primary class template hash. More...
- struct std::hash< _Tp * >
    Partial specializations for pointer types. More...

## Namespaces

- namespace std

## Defines

- #define _Cxx_hashtable_define_trivial_hash(_Tp)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file functional_hash.h.